import Icon from '../../icon';
import React from 'react';
import ReactDOM from 'react-dom';
import Tag from '..';
const { Group: TagGroup } = Tag;
ReactDOM.render(React.createElement("div", { className: "tag-list" },
    React.createElement("h4", null, "large size"),
    React.createElement(TagGroup, null,
        React.createElement(Tag, { type: "normal", size: "large" }, "Normal large Tag"),
        React.createElement(Tag, { type: "primary", size: "large" }, "Primary large Tag"),
        React.createElement(Tag, { size: "large" },
            React.createElement(Icon, { type: "smile" }),
            " Tag With Icon")),
    React.createElement("h4", null, "medium(default) size"),
    React.createElement(TagGroup, null,
        React.createElement(Tag, { type: "normal", size: "medium" }, "Normal Tag"),
        React.createElement(Tag, { type: "primary" }, "Primary Tag"),
        React.createElement(Tag, null,
            React.createElement(Icon, { type: "smile" }),
            " Tag With Icon")),
    React.createElement("h4", null, "small size"),
    React.createElement(TagGroup, null,
        React.createElement(Tag, { type: "normal", size: "small" }, "Normal Small Tag"),
        React.createElement(Tag, { type: "primary", size: "small" }, "Primary Small Tag"),
        React.createElement(Tag, { size: "small" },
            React.createElement(Icon, { type: "smile" }),
            " Tag With Icon")),
    React.createElement("h4", null, "link tag"),
    React.createElement(TagGroup, null,
        React.createElement(Tag, { type: "normal" },
            React.createElement("a", { href: "//www.alibaba.com", target: "_blank" }, "normal Link Tag")),
        React.createElement(Tag, { type: "primary" },
            React.createElement("a", { href: "//www.alibaba.com", target: "_blank" }, "primary Link Tag")),
        React.createElement(Tag, { size: "small" },
            React.createElement("a", { href: "//www.alibaba.com", target: "_blank" },
                React.createElement(Icon, { type: "smile" }),
                " Link Tag With Icon")))), document.getElementById('tag-demo-2'));
